%define name kslide
%define	version 0.5.1
%define release 6mdk

Name: %{name}
Summary: Puzzle game for KDE
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: mini-kslide.xpm
Source2: kslide_menuentry
Group: Games/Puzzles
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs

%description
KDE puzzle game where you slide blocks to form a picture.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
   ./configure --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
make prefix=$RPM_BUILD_ROOT/usr install

if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/doc
  mv $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/usr/doc/kde
fi

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/menu/kslide

# (fg) Small icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons/mini/kslide.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
/usr/bin/kslide
/usr/lib/menu/kslide
%dir /usr/share/icons
/usr/share/icons/kslide.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/kslide.xpm
%dir /usr/share/apps
/usr/share/apps/kslide
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/kslide.mo
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/kslide

# (fg) %post and %postun for menus
%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%changelog

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5.1-6mdk

- Menu entry reworked

* Wed Mar 29 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5.1-5mdk

- File list fixes
- Added small icon
- Post and postun script fixes

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 0.5.1-4mdk

- Don't use prefix, leads to troubles
- Added menu entry 
- Changed group to match 7.1 specs
- Spec file rework

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

